Description

Since Nemomath is a header only library, installation of nemomath0.4 should force installation of libeigen2-dev with a Depends
directive

Related issues:
Related to NemoMath - Bug # 1341: Allow different installation of boost in de... New 01/21/2013

Associated revisions
Revision 269 - 01/31/2013 06:32 PM - anordman

Kicked pkgconfig and made eigen2 default

    -  Using pkg-config as introduced recently, breaks windows-compatibility
    -  Using cmake macros instead of pkgconfig mechanism now, to find eigen
    -  Default for Nemomath is now Eigen2 by checking this first
    -  Adapted debian package config to be able to work with eigen2 oder eigen3

fixes #1381
refs #1342

History
#1 - 01/21/2013 04:24 PM - A. Tuleu
- Subject changed from NemoMath0.4 debian packages does not mark libeigen2-dev as a dependency to NemoMath0.4 debian packages does not 
mark libeigen3-dev as a dependency

Sorry, I missed that NemoMath has a dependency on Eigen 3 now ... it shoudld mark libeigen3-dev as a Depends: package

#2 - 01/21/2013 06:27 PM - A. Tuleu

The patches proposed for #1341 would fix this too.
